package traffic;

import java.util.*;
import traffic.object.*;

public class CuttingLanes implements Obstruction {
  public final List lanes;
  public final double m_lengthToForward;
  public final MotionlessObject motionlessPosition;

  public CuttingLanes(List lanes, double lengthToForward, MotionlessObject motionlessPosition) {
    this.lanes = lanes;
    this.m_lengthToForward = lengthToForward;
    this.motionlessPosition = motionlessPosition;
  }

  public CuttingLanes(Lane lane, double lengthToForward, MotionlessObject motionlessPosition) {
    this.lanes = Collections.singletonList(lane);
    this.m_lengthToForward = lengthToForward;
    this.motionlessPosition = motionlessPosition;
  }

  public double minSafeDistance() { return 0; }
  public double lengthToForwardOfLane() { return m_lengthToForward; }
  public MotionlessObject motionlessPosition() { return motionlessPosition; }
}
